Package org.drinkless.tdlib

# Class TdApi.ImportedContacts

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ImportedContacts

Enclosing class:
  `TdApi`

public static class TdApi.ImportedContacts extends TdApi.Object
Represents the result of an importContacts request.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int[]`
  `importerCount`
  The number of users that imported the corresponding contact; 0 for already registered users or if unavailable.
  `long[]`
  `userIds`
  User identifiers of the imported contacts in the same order as they were specified in the request; 0 if the contact is not yet a registered user.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImportedContacts()`
  Represents the result of an importContacts request.
  `ImportedContacts(long[] userIds, int[] importerCount)`
  Represents the result of an importContacts request.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### userIds

    public long[] userIds
    User identifiers of the imported contacts in the same order as they were specified in the request; 0 if the contact is not yet a registered user.

  - ### importerCount

    public int[] importerCount
    The number of users that imported the corresponding contact; 0 for already registered users or if unavailable.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ImportedContacts

    public ImportedContacts()
    Represents the result of an importContacts request.

  - ### ImportedContacts

    public ImportedContacts(long[] userIds, int[] importerCount)
    Represents the result of an importContacts request.
    Parameters:
      `userIds` - User identifiers of the imported contacts in the same order as they were specified in the request; 0 if the contact is not yet a registered user.
      `importerCount` - The number of users that imported the corresponding contact; 0 for already registered users or if unavailable.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR